package de.ugoe.cs.autoquest.htmlmonitor;

import java.net.URL;

/**
 * <p>
 * TODO comment
 * </p>
 * 
 * @author Patrick Harms
 */
public class HtmlClientInfos {

    /**
     * 
     */
    private String clientId;

    /**
     * 
     */
    private String userAgent;

    /**
     * 
     */
    private URL url;

    /**
     * 
     */
    private String title;

    /**
     * <p>
     * TODO: comment
     * </p>
     *
     * @param clientId
     * @param userAgent
     * @param url
     * @param title
     */
    public HtmlClientInfos(String clientId, String userAgent, URL url, String title) {
        this.clientId = clientId;
        this.userAgent = userAgent;
        this.url = url;
        this.title = title;
    }

    /**
     * @return the clientId
     */
    String getClientId() {
        return clientId;
    }

    /**
     * @return the userAgent
     */
    String getUserAgent() {
        return userAgent;
    }

    /**
     * @return the url
     */
    URL getUrl() {
        return url;
    }

    /**
     * @return the title
     */
    String getTitle() {
        return title;
    }

}
